VendorDirectFulfillmentOrders V2021_12_28

class sp_api.api.VendorDirectFulfillmentOrdersV20211228(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)

VendorDirectFulfillmentOrders SP-API Client :link:

The Selling Partner API for Direct Fulfillment Orders provides programmatic access to a direct fulfillment vendor’s order data.

get_orders(self, **kwargs) ApiResponse

Returns a list of purchase orders created during the time frame that you specify. You define the time frame using the createdAfter and createdBefore parameters. You must use both parameters. You can choose to get only the purchase order numbers by setting the includeDetails parameter to false. In that case, the operation returns a list of purchase order numbers. You can then call the getOrder operation to return the details of a specific order.

Usage Plan:

Rate (requests per second)

Burst

10

10

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

VendorDirectFulfillmentOrdersV20211228().get_orders()
Parameters:
  • shipFromPartyId (key) – object | The vendor warehouse identifier for the fulfillment warehouse. If not specified, the result will contain orders for all warehouses.

  • status (key) – object | Returns only the purchase orders that match the specified status. If not specified, the result will contain orders that match any status.

  • limit (key) – object | The limit to the number of purchase orders returned.

  • createdAfter (key) – object | required Purchase orders that became available after this date and time will be included in the result. Must be in ISO-8601 date/time format.

  • createdBefore (key) – object | required Purchase orders that became available before this date and time will be included in the result. Must be in ISO-8601 date/time format.

  • sortOrder (key) – object | Sort the list in ascending or descending order by order creation date.

  • nextToken (key) – object | Used for pagination when there are more orders than the specified result size limit. The token value is returned in the previous API call.

  • includeDetails (key) – object | When true, returns the complete purchase order details. Otherwise, only purchase order numbers are returned.

Returns:

ApiResponse

get_order(self, purchaseOrderNumber, **kwargs) ApiResponse

Returns purchase order information for the purchaseOrderNumber that you specify.

Usage Plan:

Rate (requests per second)

Burst

10

10

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

VendorDirectFulfillmentOrdersV20211228().get_order("value")
Parameters:

purchaseOrderNumber – object | required The order identifier for the purchase order that you want. Formatting Notes: alpha-numeric code.

Returns:

ApiResponse

submit_acknowledgement(self, **kwargs) ApiResponse

Submits acknowledgements for one or more purchase orders.

Usage Plan:

Rate (requests per second)

Burst

10

10

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

VendorDirectFulfillmentOrdersV20211228().submit_acknowledgement()
Parameters:

body – SubmitAcknowledgementRequest | required The request body containing the acknowledgement to an order

Returns:

ApiResponse